package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingExpirePromotionDeleteRequest struct {
	/*
	   删除短保优惠     */
	Param0 *domain.AlibabaWdkMarketingExpirePromotionDeleteExpirePromotionBo `json:"param0,omitempty" required:"false" `
}

func (s *AlibabaWdkMarketingExpirePromotionDeleteRequest) SetParam0(v domain.AlibabaWdkMarketingExpirePromotionDeleteExpirePromotionBo) *AlibabaWdkMarketingExpirePromotionDeleteRequest {
	s.Param0 = &v
	return s
}

func (req *AlibabaWdkMarketingExpirePromotionDeleteRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingExpirePromotionDeleteRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
